
Foreman - Bug #3471

ENC script used for pushing facts failing on duplicate entry  for key 'index_fact_names_on_name'

(Mysql2::Error) on a specific fact. 

10/22/2013 04:31 PM - Matthew Nicholson

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Recently upgraded foremn and the the fact import/ENC script. New facts, however are not being uploaded.

The script, running from cron with --push-facts is "working" is in its trying to push facts, and apache sees the api facts endpoint hit,

however, the foreman production log contains:

Started POST "/api/hosts/facts" for 10.242.54.15 at 2013-10-22 05:06:59 -0400

Processing by Api::V2::HostsController#facts as JSON

Parameters: {"certname"=>"hero3115.rc.fas.harvard.edu", "name"=>"hero3115.rc.fas.harvard.edu", "facts"=>"[FILTERED]",

"host"=>{"certname"=>"hero3115.rc.fas.harvard.edu", "name"=>"hero3115.rc.fas.harvard.edu", "facts"=>"[FILTERED]"}}

Duplicate entry 'has_omsa' for key 'index_fact_names_on_name' (Mysql2::Error)

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:245:i

n `query'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:245:i

n `block in execute'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:280:in

`block in log'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_adapter.rb:275:in `log'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract_mysql_adapter.rb:245:i

n `execute'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/mysql2_adapter.rb:211:in

`execute'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/mysql2_adapter.rb:234:in

`exec_insert'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb

:90:in `insert'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/query_cache.rb:14:in

`insert'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation.rb:66:in `insert'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:366:in `create'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/timestamp.rb:57:in `create'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:268:in `block in create'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in

`_run__2494098553879424726__create__3137339159448458853__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_create_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:268:in `create'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:347:in `create_or_update'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:in `block in create_or_update'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in

`_run__2494098553879424726__save__3137339159448458853__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_save_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:in `create_or_update'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/persistence.rb:104:in `save!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:56:in `save!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods/dirty.rb:33:in `save!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:246:in `block in save!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:295:in `block in

with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/database_statements.rb

:192:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:208:in `transaction'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:293:in

`with_transaction_returning_status'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/transactions.rb:246:in `save!'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/validations.rb:41:in `create!'

/usr/share/foreman/app/models/host/base.rb:135:in `block (2 levels) in merge_facts'

/usr/share/foreman/app/models/host/base.rb:132:in `each'

/usr/share/foreman/app/models/host/base.rb:132:in `block in merge_facts'

/usr/share/foreman/app/models/host/base.rb:128:in `each'

/usr/share/foreman/app/models/host/base.rb:128:in `merge_facts'

/usr/share/foreman/app/models/host/base.rb:82:in `importFacts'

/usr/share/foreman/app/models/host/managed.rb:379:in `importHostAndFacts'

/usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:50:in `facts'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:439:in `block (3 levels) in run

_2901842312195011794__process_action__4431571858989416946__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_4535'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_757'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4535'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:427:in `block (2 levels) in _run

_2901842312195011794__process_action__4431571858989416946__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_4534'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4534'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:404:in `block in _run

_2901842312195011794__process_action__4431571858989416946__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_4533'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_4533'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in `_run

_2901842312195011794__process_action__4431571858989416946__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in

process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in `process_action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/mapper.rb:42:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.0.23/lib/apipie/static_dispatcher.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:

in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`_run__3490207106333014410__call__3137339159448458853__callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'

/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in

`accept_and_process_next_request'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'

/usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

Rendered api/v2/errors/standard_error.json.rabl (1.0ms)

Completed 500 Internal Server Error in 287ms (Views: 3.7ms | ActiveRecord: 9.8ms)

/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'

This happens for every fact upload attempt. So  new facts/fact values are not being populated in the foreman database.

History

#1 - 10/22/2013 04:31 PM - Anonymous
- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 10/22/2013 06:27 PM - Dominic Cleal

- Category set to Facts

- Target version set to 1.15.0

#3 - 10/23/2013 12:23 PM - Anonymous

- Status changed from Assigned to Need more information

Would it be possible to post facts hash here?

#4 - 10/23/2013 04:55 PM - Matthew Nicholson

--- !ruby/object:Puppet::Node::Facts

values:

service_node: "false"

processor3: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

ib0_rate: "10 Gb/sec (4X)"

processor0: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

macaddress: "00:1E:4F:23:A8:FA"

hardwareisa: x86_64

memoryfree: "30.02 GB"

netmask_eth0: "255.255.252.0"

productname: "PowerEdge M600"

lsbdistcodename: Final

netmask: "255.255.252.0"

operatingsystem: CentOS

ib1_rate: "10 Gb/sec (4X)"

hostname: hero3115

blade: "true"

gstore_mount: "true"

osfamily: RedHat

type: Multi-system

ipaddress: "10.242.42.36"

uptime: "65 days"

vlan: "386"

ganglia_port: "8653"

network_lo: "127.0.0.0"

facterversion: "1.6.13"

boardproductname: "0MY736"

owner: unknown

architecture: x86_64

storage_node: "false"

kvm_host: "false"

netmask_lo: "255.0.0.0"

rubyversion: "1.8.7"

processor7: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

uptime_hours: "1562"

macaddress_ib1: "80:00:00:49:fe:80:00:00:00:00:00:00:00:18:8b:90:97:fe:28:57"

hardwaremodel: x86_64

born_on: "2011-05-11"

path: "/sbin:/usr/sbin:/bin:/usr/bin"

uniqueid: f20a242a

postgres_default_version: "8.1"

salt-minion_version: "0.15.3"

processor4: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

fqdn: hero3115.rc.fas.harvard.edu

kernel: Linux

uptime_days: "65"

serialnumber: H5S5NF1

processor1: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

kernelmajversion: "2.6"

has_ib: "true"

login_count: "0"

kernelversion: "2.6.18"

lsbmajdistrelease: "5"

kvm_node: "false"

lsbdistdescription: "CentOS release 5.5 (Final)"

puppet_classes:

"[\x22base\x22,\x22autofs\x22,\x22autofs::install\x22,\x22autofs::params\x22,\x22salt::minion\x22,\x22openssl\x22,\x22ssh::service\x22,\x22auth\x22,

\x22auth::ldap\x22,\x22auth::krb5\x22,\x22auth::system_auth\x22,\x22auth::nsswitch\x22,\x22ssh::hostkeys\x22,\x22cve_2009_2692\x22,\x22update
db\x22,\x22sudoers\x22,\x22sudoers::local\x22,\x22root_pw_and_ssh\x22,\x22syslog\x22,\x22ntp\x22,\x22gmond\x22,\x22mail\x22,\x22mail::client\x

22,\x22aliases\x22,\x22resolv\x22,\x22logwatch\x22,\x22tsocks\x22,\x22puppet_client\x22,\x22yum_versionlock\x22,\x22nscd\x22,\x22sssd\x22,\x22

yum_client\x22,\x22yum_client::base\x22,\x22yum_client::debug\x22,\x22yum_client::rcextras\x22,\x22yum_client::puppet\x22,\x22yum_client::epel\x

22,\x22apt_client\x22,\x22yum_priorities\x22,\x22std_pkgs\x22,\x22rootkit_checks\x22,\x22idmapd\x22,\x22fstab::n_root_dir\x22,\x22fstab::sum1_isil

on_homes::rc\x22,\x22dell\x22,\x22dell::repos\x22,\x22dell::setup\x22,\x22dell::install\x22,\x22dell::service\x22,\x22snmpd\x22,\x22cluster_without_u

ser_data\x22,\x22compat_links\x22,\x22scratch\x22,\x22kdump\x22,\x22mysql::client\x22,\x22std_pkgs::cluster\x22,\x22sysctl::tcp_keepalive\x22,\x2

2sysctl\x22,\x22sysctl::inotify\x22,\x22sysctl::filemax\x22,\x22profile\x22,\x22profile::modules\x22,\x22profile::openmp\x22,\x22profile::iraf\x22,\x22limi

ts\x22,\x22fstab::odyssey_mount\x22,\x22fstab::sw_app_mount\x22,\x22ssh::knownhosts\x22,\x22cluster\x22,\x22lustre\x22,\x22lustre::install\x22,\x2

2lustre::preload\x22,\x22storage_links\x22,\x22fstab::sum1_isilon_labs\x22,\x22fstab::sum1_isilon_labs::jun_liu_lab\x22,\x22fstab::sum1_isilon_home

s\x22,\x22fstab::rc_team\x22,\x22fstab::chbweb::only\x22,\x22fstab::hutlab3\x22,\x22fstab::nfs_data1_mount\x22,\x22fstab::nfs_data2_mount\x22,\x2

2fstab::nfs_nobackup1_mount\x22,\x22fstab::nfs_nobackup2_mount\x22,\x22fstab::nfs_gpgpu_lab_mount\x22,\x22fstab::lab_mount\x22,\x22fstab::n

eedlemanfs2\x22,\x22fstab::bluearc\x22,\x22fstab::solexa_processed_mounts\x22,\x22fstab::itc1_mount\x22,\x22fstab::atlas_mounts\x22,\x22fstab::g

alaxy\x22,\x22fstab::ns960_lab\x22,\x22fstab::cleanenergy\x22,\x22fstab::nssha_scratch\x22,\x22fstab::panlfs_tcp_mount\x22,\x22fstab::scratch2_tc

p_mount\x22,\x22fstab::bicepfs1\x22,\x22fstab::hernquistfs1\x22,\x22fstab::hernquistfs2\x22,\x22fstab::cleanenergy1\x22,\x22fstab::kuangfs1\x22,\x2

2fstab::itcbackup\x22,\x22fstab::hsph\x22,\x22fstab::kou_lab\x22,\x22fstab::dasch\x22,\x22fstab::leroyfs\x22,\x22fstab::lichtmanfs\x22,\x22fstab::rice_

lab\x22,\x22fstab::aizenbergfs1\x22,\x22fstab::dulacfs1\x22,\x22fstab::murraylab\x22,\x22fstab::valor\x22,\x22fstab::hoekstrafs2\x22,\x22fstab::jabba0

2\x22,\x22fstab::jabba03\x22,\x22fstab::jabba04\x22,\x22fstab::jabba05\x22,\x22fstab::jabba06\x22,\x22fstab::pearsonfs1\x22,\x22fstab::wofsyfs2\x22

,\x22fstab::extavour_dharma\x22,\x22fstab::suckjoon\x22,\x22fstab::ip2\x22,\x22fstab::airoldifs2\x22,\x22fstab::schierfs1\x22,\x22fstab::nss2ha\x22,\x

22fstab::hsph_ha\x22,\x22fstab::chevrier_lab\x22,\x22fstab::illumina01\x22,\x22fstab::gstore\x22,\x22gluster::client\x22,\x22gluster::logrotate\x22,\x22

gluster::rdma\x22,\x22fstab::davisfs1\x22,\x22fstab::ghernquist\x22,\x22fstab::glichtman\x22,\x22fstab::ishiifs1\x22,\x22fstab::lososfs1\x22,\x22fstab::

contefs1\x22,\x22fstab::pmage1\x22,\x22fstab::atlas_tier3_nfs\x22,\x22cvmfs\x22,\x22compute\x22,\x22abrt\x22,\x22lsf\x22,\x22profile::lsf\x22,\x22fs

tab::lsf_mount\x22,\x22lsf::users\x22,\x22slurm::client\x22,\x22slurm::common\x22,\x22netconsole\x22,\x22sysctl::oom\x22,\x22drop_caches\x22,\x2

2fstab::seqc_gluster_mount\x22,\x22rdma\x22,\x22nagios::client\x22,\x22nagios::base\x22,\x22hero0-3d.rc.fas.harvard.edu\x22]"

dell_express_service_code: NA

network_eth0: "10.242.40.0"

augeasversion: "0.10.0"

ip6tables_version: "1.3.5"

interfaces: "eth0,ib0,ib1,lo,sit0"

lsbdistid: CentOS

memorytotal: "31.31 GB"

domain: rc.fas.harvard.edu

ipaddress_eth0: "10.242.42.36"

compute_node: "true"

yum_updates_avail: "415"

ipaddress_lo: "127.0.0.1"

libibverbs_version: "1.1.31.1.3"

sshrsakey:

"AAAAB3NzaC1yc2EAAAABIwAAAIEAsv9kriq5qzEgyeSXTIuPkw1BlbBfsQ6bBiHSojrXAEGUEqgEkaDyWq6NtknbyFMRg5LUSwWR6xYnAnWgYEe

4/zpmEi0Xa5sLiV4qsVPsXWCHBk/nK/iiTuJdeCK59MF3EFha6X6StOi3bs0Bq/7qwQFNZy+skxjRfqGdDLk88NU="

boardserialnumber: ".H5S5NF1.CN1374081K005S.15."

processorcount: "8"

memorysize: "31.31 GB"

nfs_mounts: "170"

access_node: "false"

rubysitedir: /usr/lib/ruby/site_ruby/1.8

lsbrelease: ":core-3.1-amd64:core-3.1-ia32:core-3.1-noarch:graphics-3.1-amd64:graphics-3.1-ia32:graphics-3.1-noarch"

glusterfs_version: "3.4.0"

root_home: /root

kernelrelease: "2.6.18-194.32.1.el5"

processor5: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

physicalprocessorcount: "2"

processor2: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

lustre_version: "1.8.5"

macaddress_eth0: "00:1E:4F:23:A8:FA"

rt: unknown

lsbdistrelease: "5.5"

boardmanufacturer: "Dell Inc."

group: unknown

swapsize: "8.00 GB"

operatingsystemrelease: "5.5"

timezone: EDT

mta: sendmail

need_proxy: "false"

notes: unknown

ib_devs: "2"

ps: "ps -ef"

hostname_base: hero

slurm_version: "2.5.7"

is_virtual: "false"

ganglia_cluster: Hero

has_omsa: "true"

clientversion: "3.2.4"

hybrid_node: "false"

selinux: "false"

holyoke_node: "false"
id: root

iptables_version: "1.3.5"

is_pe: "false"

clientcert: hero3115.rc.fas.harvard.edu

manufacturer: "Dell Inc."

!ruby/sym "_timestamp": 2013-10-23 11:12:02.301194 -04:00

sshdsakey:

"AAAAB3NzaC1kc3MAAACBAJ0tsjKFyUyuG1OJ3vODwQXclG5jnlNuhnBB3M6IoftjKMnyznaqQeOtb+MYCHRK1QXEUA53eyzhEMD7t82jDSTznNtO

1pV8eUvbRhfg0Mg7dVjFK6gE4lwZp8VRv5TacvnRx4FP3+oBah8N6HATK9lJNEAQEwpHALD+ZO5PyZD5AAAAFQDGPIomOYUV7IKJIU8ppoV/7nX

a7wAAAIAbH0LXAf858GoYT3JLa0IsTRwct2MiV3udqbC2ZZ9T15tVOXNPh3A1iOYCnj3crycB3ETqgfrIifMrfQMxxPDqo3Tgh91DHLDkFu/yvhjqd1mSA

J8joZIYXWwZ+CWPsBYEZsC2um3Cx5C9nmJklkOcWlx4xBFEcEv7clX4n0lYWwAAAIAQSDj+g8OWARN7zOuw4GDi5tRGbglC7XKOVmUP4epqSN

OnVkkGosFS44AXOef8fMuG5XPk+IFQRkzRJZ4oTLNFSlvQBh9XADVUK6o2SIPwDeS0AAEoTxjRyUazxYsORwVfxpvzkzsr8Zu6os4yN18FwNaPab

0y2bybOyYZU5Wk/w=="

virtual: physical

ib0_state: DOWN

puppetversion: "3.2.4"

ib1_state: DOWN

puppet_vardir: /var/lib/puppet

docs: unknown

swapfree: "7.78 GB"

uptime_seconds: "5626538"

processor6: "Intel(R) Xeon(R) CPU           E5410   2.33GHz"

backup_node: "false"

macaddress_ib0: "80:00:00:48:fe:80:00:00:00:00:00:00:00:18:8b:90:97:fe:28:56"

expiration: 2013-10-23 13:12:02.206100 -04:00

name: hero3115.rc.fas.harvard.edu

#5 - 10/24/2013 05:02 PM - Anonymous

I can't reproduce the issue. Did you do 1.1 -> 1.2 upgrade? How did you do that (via yum or git)? What OS/ruby version is this running on? Does it fail

on the same fact every time? If so, could you check if the fact is present in fact_names table before you attempt the import?

#6 - 10/24/2013 05:18 PM - Matthew Nicholson

Right, so:

Yes, this was a 1.1->1.3 upgrade.

This was via yum pkgs.

OS: CentOS 6.4

Ruby: System is ruby 1.8.7, but this is using the packages foreman 1.9.3 stuff (ruby193*.rpm)

Yes, fails on the same fact, every time.

And yes, the fact IS present in fact_names before an import:

mysql> select * from fact_names where name = 'has_omsa';

---------------+---------------------+---------------------+ | id   | name      | updated_at          | created_at          |

---------------+---------------------+---------------------+ | 1865 | has_omsa  | 2013-07-17 16:55:50 | 2013-07-17 16:55:50 |

---------------+---------------------+---------------------+

1 row in set (0.00 sec)

I'm going to drop that and see whats what.

#7 - 11/07/2013 11:58 PM - Aaron Stone

Is this blocking the 1.3.1 release?

#8 - 11/08/2013 08:53 AM - Dominic Cleal

- Status changed from Need more information to Assigned

- translation missing: en.field_release deleted (1)

Nope, will unset it though.

#9 - 11/12/2013 12:14 PM - Anonymous

- Target version deleted (1.15.0)

#10 - 11/12/2013 12:15 PM - Dominic Cleal

- Status changed from Assigned to New

- Assignee deleted (Anonymous)
#11 - 11/13/2019 08:55 AM - Tomer Brisker

- Status changed from New to Rejected

Foreman is dropping support for MySQL database - see https://community.theforeman.org/t/rfc-dropping-support-for-mysql/14185 for further details.

Closing this issue.
